%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate cfg-expr

Name:           rust-cfg-expr
Version:        0.15.8
Release:    1%{?dist}
Summary:        Parser and evaluator for Rust cfg() expressions

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/cfg-expr
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A parser and evaluator for Rust `cfg()` expressions.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+target-lexicon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+target-lexicon-devel %{_description}

This package contains library source intended for building other packages which
use the "target-lexicon" feature of the "%{crate}" crate.

%files       -n %{name}+target-lexicon-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+targets-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+targets-devel %{_description}

This package contains library source intended for building other packages which
use the "targets" feature of the "%{crate}" crate.

%files       -n %{name}+targets-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.15.8-1
- initial build
